---
title: Update an existing user group
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/user-group/update-an-existing-user-group/
product: CloudConnexa Docs
---

# Update an existing user group

`PUT /api/beta/user-groups/{userGroupId}`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | object | true | body |
| userGroupId | path | string | true | userGroupId |

### Body parameter

```json
{
  "allRegionsIncluded": true,
  "connectAuth": "AUTH",
  "id": "string",
  "internetAccess": "string",
  "maxDevice": 0,
  "name": "string",
  "vpnRegionIds": [
    "string"
  ]
}
```

## Responses

| Status | Meaning | Description |
| --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error |

```json
{
  "connectAuth": "AUTH",
  "id": "string",
  "internetAccess": "string",
  "maxDevice": 0,
  "name": "string",
  "systemSubnets": [
    "string"
  ],
  "vpnRegionIds": [
    "string"
  ]
}
```

To perform this operation, you must be authenticated by means of one of the following methods: OAuth\_authorization

---

Prev: [Get existing user groups](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/user-group/get-existing-user-groups.md)
Next: [Create a new user group](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/user-group/create-a-new-user-group.md)
Index: https://openvpn.net/cloud-docs/llms.txt
